#! /bin/sh
version=0.1

dir=`pwd`
name=`uname -n`
sdir='/usr/local/etc/stunnel'



printf "Getting sources\n"
scp jamper@security.domain.ru:~/script/syslog_ng/*.tar.gz .

tar zxf inst_files_syslog.tar.gz

cp *.tar.gz /usr/tmp/distr

cd /usr/tmp/src

printf "\n\n------------------------[STUNNEL]-----------------\n\n"
tar zxf ../distr/stunnel*.tar.gz
cd stunnel*
./configure --localstatedir=/var/run/stunnel --with-pem-dir=/usr/local/stunnel/cert --datadir=/usr/local
make
make install


rm *pem

echo "adding user|group stunnel"
adduser

chown -R stunnel:stunnel $sdir


cd ${dir}
cat syslog.cnf | sed s/\<\<\$name\>\>/$name/ > $name.cnf
keyname=${dir}/${name}.key
ssh-keygen -t rsa -f ${keyname}
openssl rsa  -in ${keyname} -out ${keyname}.pem
openssl req -new -config ${dir}/$name.cnf -key ${keyname} -out ${keyname}.csr


scp $dir/$name.key.csr jamper@security.domain.ru:~/script/syslog_ng/cert/

mkdir /var/run/stunnel 
chown -R stunnel:stunnel /var/run/stunnel
 
printf "\n\n\n------------------------[SYSLOG-ng]-----------------------\n\n"
printf "\n\nlibol\n"
cd /usr/tmp/src
tar zxf ../distr/libol*.tar.gz
cd libol*
./configure
make
make install

printf "\n\nsyslog-ng\n"
cd /usr/tmp/src
tar zxf ../distr/syslog-ng*.tar.gz
cd syslog-ng*
./configure --enable-tcp-wrapper --prefix=/usr/local
make
make install





#

